## com.bbn.openmap.gui.time
Interface TimeConstants

All Known Implementing Classes:
  ScenarioGraphicLoader, TimerControlButtonPanel, TimerToggleButton, TimeSliderSupport

public interface TimeConstants

Iterface that defines some properties that can be used by these components.

Field Summary
`static java.lang.String` `TIMER_BACKWARD`
`static java.lang.String` `TIMER_FORWARD`
`static java.lang.String` `TIMER_INACTIVE`
`static java.lang.String` `TIMER_RUNNING_STATUS`
`static java.lang.String` `TIMER_STEP_BACKWARD`
`static java.lang.String` `TIMER_STEP_FORWARD`
`static java.lang.String` `TIMER_STOPPED`
`static java.lang.String` `TIMER_TIME_STATUS`

Field Detail

### TIMER_RUNNING_STATUS

    public static final java.lang.String TIMER_RUNNING_STATUS

See Also:
  Constant Field Values

### TIMER_TIME_STATUS

    public static final java.lang.String TIMER_TIME_STATUS

See Also:
  Constant Field Values

### TIMER_STEP_FORWARD

    public static final java.lang.String TIMER_STEP_FORWARD

See Also:
  Constant Field Values

### TIMER_STEP_BACKWARD

    public static final java.lang.String TIMER_STEP_BACKWARD

See Also:
  Constant Field Values

### TIMER_FORWARD

    public static final java.lang.String TIMER_FORWARD

See Also:
  Constant Field Values

### TIMER_BACKWARD

    public static final java.lang.String TIMER_BACKWARD

See Also:
  Constant Field Values

### TIMER_STOPPED

    public static final java.lang.String TIMER_STOPPED

See Also:
  Constant Field Values

### TIMER_INACTIVE

    public static final java.lang.String TIMER_INACTIVE

See Also:
  Constant Field Values

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details